--- c/src/Makefile.linux.txt
+++ c/src/Makefile.linux.txt
@@ -5,14 +5,14 @@
 SHARED_OBJECT_EXT = so
 TARGET = libTerminal.${SHARED_OBJECT_EXT}
 
-CC = gcc
+CC ?= gcc
 # "-D_USE_NCURSESW" was added for handling UTF-8 characters (contributed by Leos Urban)
-CFLAGS = -fpic -shared -D_USE_NCURSESW_
+CFLAGS += -fpic -shared -D_USE_NCURSESW_
 
 # The file "jni.h" is in ${JAVA_HOME}/include
 # The file "jni_md.h" (included from jni.h) contains machine-dependent 
 # type definitions and is in ${JAVA_HOME}/include/${OS}
-INCLUDES = -I${JAVA_HOME}/include -I${JAVA_HOME}/include/${OS} -I../include
+INCLUDES ?= -I${JAVA_HOME}/include -I${JAVA_HOME}/include/${OS} -I../include
 
 # Changed "-lncurses" to "-lncursesw" (Leos Urban)
 LIBS = -lncursesw
@@ -21,5 +21,5 @@
 all : ${TARGET}
 
 ${TARGET} : Toolkit.c ../include/charva_awt_Toolkit.h Makefile.${OS}.txt
-	${CC} ${CFLAGS} ${INCLUDES} Toolkit.c ${LIBS} -o ../lib/${TARGET}
+	${CC} ${CFLAGS} ${LDFLAGS} ${INCLUDES} Toolkit.c ${LIBS} -o ../lib/${TARGET}
 
